## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Do not update past 2.8.1 because protobuf is too old.

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-bigtable
%global         forgeurl    https://github.com/googleapis/python-bigtable
Version:        2.11.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Bigtable API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Bigtable is Google's NoSQL Big Data database service.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary scripts.
rm -f %{buildroot}%{_bindir}/fixup_bigtable*.py


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_bigtable-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Aug 05 2022 Major Hayden <major@redhat.com> 2.11.0-1
- Update to 2.11.0 rhbz#2115555

* Wed Jun 15 2022 Major Hayden <major@redhat.com> 2.10.1-1
- Update to 2.10.1

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> 2.10.0-1
- Update to 2.10.0

* Thu Apr 14 2022 Major Hayden <major@mhtx.net> 2.9.0-1
- Update to 2.9.0

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> 2.8.1-1
- 🚀 Update to 2.8.1

* Wed Apr 06 2022 Major Hayden <major@mhtx.net> 2.8.0-1
- 🚀 Update to 2.8.0

* Sat Mar 19 2022 Major Hayden <major@mhtx.net> 2.7.1-1
- Update to 2.7.1

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 2.7.0-1
- Update to 2.7.0

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 2.6.0-1
- Update to 2.6.0

* Mon Feb 28 2022 Major Hayden <major@mhtx.net> 2.5.2-1
- Update 2.5.2

* Mon Feb 21 2022 Major Hayden <major@mhtx.net> 2.5.1-1
- Update to 2.5.1

* Mon Feb 07 2022 Major Hayden <major@mhtx.net> 2.5.0-1
- Update to 2.5.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 2.4.0-1
- Initial import (#1998651)
